summaryrefslogtreecommitdiff
path: root/autogen.sh
diff options
context:
space:
mode:
authorWim Taymans <wim.taymans@gmail.com>2002-02-22 17:25:08 +0000
committerWim Taymans <wim.taymans@gmail.com>2002-02-22 17:25:08 +0000
commitfa80ff8d60f22561bf5f537834d23154f2752017 (patch)
treef3bf4d0e31b7b2b45e3eb285bce813d6aea0799d /autogen.sh
parent0be7200282a6f61962ff684c2421bcd48e053d0c (diff)
Automake 1.5 fixes another test app.
Original commit message from CVS: Automake 1.5 fixes another test app. use pkg-config to find gstreamer
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh155
1 files changed, 48 insertions, 107 deletions
diff --git a/autogen.sh b/autogen.sh
index 6daaa79..665b179 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -1,130 +1,71 @@
-#!/bin/sh
+#!/bin/bash
# Run this to generate all the initial makefiles, etc.
DIE=0
-package=Gnonlin
-srcfile=gnl/gnlsource.h
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $package."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/autoconf/"
- DIE=1
-}
-
-(automake --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $package."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/automake/"
- DIE=1
-}
-automakevermin=`(automake --version|head -n 1|sed 's/^.* //;s/\./ /g;';echo "1 4")|sort -n|head -n 1`
-automakevergood=`(automake --version|head -n 1|sed 's/^.* //;s/\./ /g;';echo "1 4f")|sort -n|head -n 1`
-if test "x$automakevermin" != "x1 4"; then
-# version is less than 1.4, the minimum suitable version
- echo
- echo "You must have automake version 1.4 or greater installed."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/automake/"
- DIE=1
+package=gnonlin
+srcfile=gnl/gnl.c
+
+# source helper functions
+if test ! -e common/gnonlin-autogen.sh;
+then
+ echo There is something wrong with your source tree.
+ echo You are missing common/gnonlin-autogen.sh
+ exit 1
fi
+. common/gnonlin-autogen.sh
+autogen_options $@
-(pkg-config --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have pkg-config installed to compile $package."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at:"
- echo "http://www.freedesktop.org/software/pkgconfig/"
- DIE=1
-}
+echo "+ checking for build tools"
+version_check "autoconf" "ftp://ftp.gnu.org/pub/gnu/autoconf/" 2 52 || DIE=1
+version_check "automake" "ftp://ftp.gnu.org/pub/gnu/automake/" 1 5 || DIE=1
+version_check "libtool" "ftp://ftp.gnu.org/pub/gnu/libtool/" 1 4 0 || DIE=1
+version_check "pkg-config" "http://www.freedesktop.org/software/pkgconfig" 0 8 0 || DIE=1
+autoconf_2.52d_check || DIE=1
-(libtool --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have libtool installed to compile $package."
- echo "Get the latest version from ftp://alpha.gnu.org/gnu/libtool/"
- DIE=1
-}
+if test "$DIE" -eq 1; then exit 1; fi
-libtool_version=`libtool --version | sed 's/^.* \([0-9\.]*\) .*$/\1/'`
-libtool_major=`echo $libtool_version | cut -d. -f1`
-libtool_minor=`echo $libtool_version | cut -d. -f2`
-libtool_micro=`echo $libtool_version | cut -d. -f3`
-if [ x$libtool_micro = x ]; then
- libtool_micro=0
-fi
-if [ $libtool_major -le 1 ]; then
- if [ $libtool_major -lt 1 ]; then
- echo
- echo "You must have libtool 1.3.5 or greater to compile $package."
- echo "Get the latest version from ftp://alpha.gnu.org/gnu/libtool/"
- DIE=1
- elif [ $libtool_minor -le 3 ]; then
- if [ $libtool_minor -lt 3 ]; then
- echo
- echo "You must have libtool 1.3.5 or greater to compile $package."
- echo "Get the latest version from ftp://alpha.gnu.org/gnu/libtool/"
- DIE=1
- elif [ $libtool_micro -lt 5 ]; then
- echo
- echo "You must have libtool 1.3.5 or greater to compile $package."
- echo "Get the latest version from ftp://alpha.gnu.org/gnu/libtool/"
- DIE=1
- fi
- fi
-fi
+# CONFIGURE_OPT='--enable-maintainer-mode --enable-plugin-builddir'
-if test "$DIE" -eq 1; then
- exit 1
-fi
+CONFIGURE_OPT=""
-test -f $srcfile || {
- echo "You must run this script in the top-level $package directory"
- exit 1
-}
+# if no arguments specified then this will be printed
if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
+ echo "+ Checking for autogen.sh options"
+ echo " This autogen script will automatically run ./configure as:"
+ echo " ./configure $CONFIGURE_OPT"
+ echo " To pass any additional options, please specify them on the $0"
+ echo " command line."
fi
+toplevel_check $srcfile
-# Generate configure.in and configure.ac
-./makeconfigure <configure.base > configure.in configure.in
-./makeconfigure <configure.base > configure.ac configure.ac
+tool_run "aclocal" "-I common/m4 $ACLOCAL_FLAGS"
-libtoolize --copy --force
-aclocal $ACLOCAL_FLAGS || {
- echo
- echo "aclocal failed - check that all needed development files are present on system"
- exit 1
-}
-autoheader || {
- echo
- echo "autoheader failed"
- exit 1
-}
-autoconf || {
- echo
- echo "autoconf failed"
- #exit 1
-}
-automake --add-missing || {
- echo
- echo "automake failed"
- #exit 1
-}
+# FIXME : why does libtoolize keep complaining about aclocal ?
+echo "+ not running libtoolize until libtool fix has flown downstream"
+# tool_run "libtoolize" "--copy --force"
+tool_run "autoheader"
+
+# touch the stamp-h.in build stamp so we don't re-run autoheader in maintainer mode -- wingo
+echo timestamp > stamp-h.in 2> /dev/null
+tool_run "autoconf"
+tool_run "automake" "-a -c"
-# now remove the cache, because it can be considered dangerous in this case
-rm -f config.cache
+test -n "$NOCONFIGURE" && {
+ echo "skipping configure stage for package $package, as requested."
+ echo "autogen.sh done."
+ exit 0
+}
-# The new configure options for busy application developers (Hadess)
-#./configure --enable-maintainer-mode --enable-debug --enable-debug-verbose
+echo "+ running configure ... "
+echo "./configure default flags: $CONFIGURE_OPT"
+echo "using: $CONFIGURE_OPT $@"
+echo
-./configure --enable-maintainer-mode --enable-plugin-builddir --enable-debug --enable-DEBUG "$@" || {
+./configure $CONFIGURE_OPT "$@" || {
echo
echo "configure failed"
exit 1